Search Project Files (Text)
curl --request POST \
--url https://api.veryfront.com/projects/{project_reference}/files/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"pattern": "<string>",
"is_regex": true,
"case_sensitive": true,
"context_lines": 123,
"max_results": 123
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/files/search"
payload = {
"query": "<string>",
"pattern": "<string>",
"is_regex": True,
"case_sensitive": True,
"context_lines": 123,
"max_results": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
pattern: '<string>',
is_regex: true,
case_sensitive: true,
context_lines: 123,
max_results: 123
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/files/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"path": "<string>",
"matches": [
{
"line": 123,
"content": "<string>"
}
],
"id": "<string>",
"content": "<string>"
}
],
"total_files": 123
}Grep-like text search across all project files with regex support
POST
/
projects
/
{project_reference}
/
files
/
search
Search Project Files (Text)
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Body
application/json
Search query (text or regex pattern)
File path pattern filter (e.g., *.tsx)
Treat query as regex (default: false)
Case sensitive search (default: false)
Number of context lines (default: 1)
Maximum results (default: 50)
⌘I